org.apache.fop.render.rtf.rtflib.exceptions

## Class RtfStructureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.fop.render.rtf.rtflib.exceptions.RtfException
        - - org.apache.fop.render.rtf.rtflib.exceptions.RtfStructureException

- All Implemented Interfaces:
    Serializable

      public class RtfStructureException
      extends RtfException

  Thrown when a method call would lead to an invalid RTF document structure.

  This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfStructureException(String reason)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RtfStructureException

          public RtfStructureException(String reason)

      Parameters:
        `reason` - Description of reason for exception.

Copyright © 2023 Apache Software Foundation. All rights reserved.